using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace LLNet.Utils
{
    public partial class ctlAlphaKeyboard : UserControl
    {
        public ctlAlphaKeyboard()
        {
            InitializeComponent();
        }

        #region Teclas Centrales

        private void btnCapsLock_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{CAPSLOCK}");
        }

        private void btnA_Click(object sender, EventArgs e)
        {
            SendKeys.Send("a");
        }

        private void btnS_Click(object sender, EventArgs e)
        {
            SendKeys.Send("s");

        }

        private void btnD_Click(object sender, EventArgs e)
        {
            SendKeys.Send("d");
        }

        private void btnF_Click(object sender, EventArgs e)
        {
            SendKeys.Send("f");
        }

        private void btnG_Click(object sender, EventArgs e)
        {
            SendKeys.Send("g");
        }

        private void btnH_Click(object sender, EventArgs e)
        {
            SendKeys.Send("h");

        }

        private void btnJ_Click(object sender, EventArgs e)
        {
            SendKeys.Send("j");
        }

        private void btnK_Click(object sender, EventArgs e)
        {
            SendKeys.Send("k");
        }

        private void btnL_Click(object sender, EventArgs e)
        {
            SendKeys.Send("l");
        }

        private void btnNN_Click(object sender, EventArgs e)
        {
            SendKeys.Send("ñ");
        }

        private void btnEnter_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{ENTER}");

        }

        #endregion

        #region Teclas Superiores

        private void btnTab_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{TAB}");
        }

        private void btnQ_Click(object sender, EventArgs e)
        {
            SendKeys.Send("q");
        }

        private void btnW_Click(object sender, EventArgs e)
        {
            SendKeys.Send("w");
        }

        private void btnE_Click(object sender, EventArgs e)
        {
            SendKeys.Send("e");
        }

        private void btnR_Click(object sender, EventArgs e)
        {
            SendKeys.Send("r");
        }

        private void btnT_Click(object sender, EventArgs e)
        {
            SendKeys.Send("t");

        }

        private void btnY_Click(object sender, EventArgs e)
        {
            SendKeys.Send("y");
        }

        private void btnU_Click(object sender, EventArgs e)
        {
            SendKeys.Send("u");
        }

        private void btnI_Click(object sender, EventArgs e)
        {
            SendKeys.Send("i");
        }

        private void btnO_Click(object sender, EventArgs e)
        {
            SendKeys.Send("o");
        }

        private void btnP_Click(object sender, EventArgs e)
        {
            SendKeys.Send("p");
        }

        private void btnPlus_Click(object sender, EventArgs e)
        {
            SendKeys.Send("+");
        }

        private void btnEqual_Click(object sender, EventArgs e)
        {
            SendKeys.Send("=");
        }

        #endregion

        #region Teclas Numericas

        private void btnArroba_Click(object sender, EventArgs e)
        {
            SendKeys.Send("@");
        }

        private void btn1_Click(object sender, EventArgs e)
        {
            SendKeys.Send("1");
        }

        private void btn2_Click(object sender, EventArgs e)
        {
            SendKeys.Send("2");

        }

        private void btn3_Click(object sender, EventArgs e)
        {
            SendKeys.Send("3");

        }

        private void btn4_Click(object sender, EventArgs e)
        {
            SendKeys.Send("4");

        }

        private void btn5_Click(object sender, EventArgs e)
        {
            SendKeys.Send("5");

        }

        private void btn6_Click(object sender, EventArgs e)
        {
            SendKeys.Send("6");

        }

        private void btn7_Click(object sender, EventArgs e)
        {
            SendKeys.Send("7");
        }

        private void btn8_Click(object sender, EventArgs e)
        {
            SendKeys.Send("8");
        }

        private void btn9_Click(object sender, EventArgs e)
        {
            SendKeys.Send("9");
        }

        private void btn0_Click(object sender, EventArgs e)
        {
            SendKeys.Send("0");
        }

        private void btnMinus_Click(object sender, EventArgs e)
        {
            SendKeys.Send("-");
        }

        private void btnBackSpace_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{BACKSPACE}");
        }

        #endregion

        #region Teclas de Funcion

        private void btnEsc_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{ESC}");
        }

        private void btnF1_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F1}");
        }

        private void btnF2_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F2}");
        }

        private void btnF3_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F3}");
        }

        private void btnF4_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F4}");
        }

        private void btnF5_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F5}");
        }

        private void btnF6_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F6}");
        }

        private void btnF7_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F7}");
        }

        private void btnF8_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F8}");
        }

        private void btnF9_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F9}");
        }

        private void btnF10_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F10}");
        }

        private void btnF11_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F11}");
        }

        private void btnF12_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{F12}");
        }

        #endregion

        #region Teclas Inferiores

        private void btnShift_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{+}");
        }

        private void btnZ_Click(object sender, EventArgs e)
        {
            SendKeys.Send("z");
        }

        private void btnX_Click(object sender, EventArgs e)
        {
            SendKeys.Send("x");
        }

        private void btnC_Click(object sender, EventArgs e)
        {
            SendKeys.Send("c");
        }

        private void btnV_Click(object sender, EventArgs e)
        {
            SendKeys.Send("v");
        }

        private void btnB_Click(object sender, EventArgs e)
        {
            SendKeys.Send("b");
        }

        private void btnN_Click(object sender, EventArgs e)
        {
            SendKeys.Send("n");
        }

        private void btnM_Click(object sender, EventArgs e)
        {
            SendKeys.Send("m");
        }

        private void btnComma_Click(object sender, EventArgs e)
        {
            SendKeys.Send(",");
        }

        private void btnDot_Click(object sender, EventArgs e)
        {
            SendKeys.Send(".");
        }

        private void btnDollar_Click(object sender, EventArgs e)
        {
            SendKeys.Send("$");
        }

        private void btnShift2_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{+}");
        }

        #endregion

        #region Teclas Inferiores de Funcion

        private void btnCtrl_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{^}");
        }

        private void btnAlt_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{%}");
        }

        private void btnSpaceBar_Click(object sender, EventArgs e)
        {
            SendKeys.Send(" ");
        }

        private void btnAlt2_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{%}");
        }

        private void btnCtrl2_Click(object sender, EventArgs e)
        {
            SendKeys.Send("{^}");
        }

        #endregion
    }
}
